Index: Sections/TvCards.Designer.cs
===================================================================
--- Sections/TvCards.Designer.cs	(revision 28043)
+++ Sections/TvCards.Designer.cs	(working copy)
@@ -28,357 +28,357 @@
     /// </summary>
     private void InitializeComponent()
     {
-      this.components = new System.ComponentModel.Container();
-      System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(TvCards));
-      this.contextMenuStrip2 = new System.Windows.Forms.ContextMenuStrip(this.components);
-      this.placeInHybridCardToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
-      this.newToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
-      this.imageList1 = new System.Windows.Forms.ImageList(this.components);
-      this.contextMenuStrip1 = new System.Windows.Forms.ContextMenuStrip(this.components);
-      this.deleteCardToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
-      this.deleteEntireHybridCardToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
-      this.label3 = new System.Windows.Forms.Label();
-      this.mpCheckBox1 = new MediaPortal.UserInterface.Controls.MPCheckBox();
-      this.columnHeader5 = new System.Windows.Forms.ColumnHeader();
-      this.columnHeader6 = new System.Windows.Forms.ColumnHeader();
-      this.columnHeader7 = new System.Windows.Forms.ColumnHeader();
-      this.columnHeader8 = new System.Windows.Forms.ColumnHeader();
-      this.groupBox4 = new System.Windows.Forms.GroupBox();
-      this.label8 = new System.Windows.Forms.Label();
-      this.mpCheckBox2 = new MediaPortal.UserInterface.Controls.MPCheckBox();
-      this.label9 = new System.Windows.Forms.Label();
-      this.mpCheckBox3 = new MediaPortal.UserInterface.Controls.MPCheckBox();
-      this.tabPage2 = new System.Windows.Forms.TabPage();
-      this.treeView1 = new System.Windows.Forms.TreeView();
-      this.tabPage1 = new System.Windows.Forms.TabPage();
-      this.grpIPTV = new System.Windows.Forms.GroupBox();
-      this.label26 = new System.Windows.Forms.Label();
-      this.iptvUpDown = new System.Windows.Forms.NumericUpDown();
-      this.label25 = new System.Windows.Forms.Label();
-      this.linkLabelHybridCard = new System.Windows.Forms.LinkLabel();
-      this.labelHybridCard = new System.Windows.Forms.Label();
-      this.labelCardPriority = new System.Windows.Forms.Label();
-      this.buttonRemove = new System.Windows.Forms.Button();
-      this.mpListView1 = new MediaPortal.UserInterface.Controls.MPListView();
-      this.colEnabled = new System.Windows.Forms.ColumnHeader();
-      this.colPriority = new System.Windows.Forms.ColumnHeader();
-      this.colType = new System.Windows.Forms.ColumnHeader();
-      this.colCAM = new System.Windows.Forms.ColumnHeader();
-      this.colCAMLimit = new System.Windows.Forms.ColumnHeader();
-      this.colId = new System.Windows.Forms.ColumnHeader();
-      this.colName = new System.Windows.Forms.ColumnHeader();
-      this.colInit = new System.Windows.Forms.ColumnHeader();
-      this.colGrabEpg = new System.Windows.Forms.ColumnHeader();
-      this.buttonEdit = new System.Windows.Forms.Button();
-      this.buttonUp = new System.Windows.Forms.Button();
-      this.buttonDown = new System.Windows.Forms.Button();
-      this.tabPage3 = new System.Windows.Forms.TabPage();
-      this.label10 = new System.Windows.Forms.Label();
-      this.label5 = new System.Windows.Forms.Label();
-      this.groupBox2 = new System.Windows.Forms.GroupBox();
-      this.mpComboBoxCard = new MediaPortal.UserInterface.Controls.MPComboBox();
-      this.pictureBox1 = new System.Windows.Forms.PictureBox();
-      this.label4 = new System.Windows.Forms.Label();
-      this.label6 = new System.Windows.Forms.Label();
-      this.mpLabel1 = new MediaPortal.UserInterface.Controls.MPLabel();
-      this.label2 = new System.Windows.Forms.Label();
-      this.label1 = new System.Windows.Forms.Label();
-      this.tabControl1 = new System.Windows.Forms.TabControl();
-      this.colDevicePath = new System.Windows.Forms.ColumnHeader();
-      this.contextMenuStrip2.SuspendLayout();
-      this.contextMenuStrip1.SuspendLayout();
-      this.tabPage2.SuspendLayout();
-      this.tabPage1.SuspendLayout();
-      this.grpIPTV.SuspendLayout();
-      ((System.ComponentModel.ISupportInitialize)(this.iptvUpDown)).BeginInit();
-      this.tabPage3.SuspendLayout();
-      this.groupBox2.SuspendLayout();
-      ((System.ComponentModel.ISupportInitialize)(this.pictureBox1)).BeginInit();
-      this.tabControl1.SuspendLayout();
-      this.SuspendLayout();
-      // 
-      // contextMenuStrip2
-      // 
-      this.contextMenuStrip2.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
+        this.components = new System.ComponentModel.Container();
+        System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(TvCards));
+        this.contextMenuStrip2 = new System.Windows.Forms.ContextMenuStrip(this.components);
+        this.placeInHybridCardToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
+        this.newToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
+        this.imageList1 = new System.Windows.Forms.ImageList(this.components);
+        this.contextMenuStrip1 = new System.Windows.Forms.ContextMenuStrip(this.components);
+        this.deleteCardToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
+        this.deleteEntireHybridCardToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
+        this.label3 = new System.Windows.Forms.Label();
+        this.mpCheckBox1 = new MediaPortal.UserInterface.Controls.MPCheckBox();
+        this.columnHeader5 = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
+        this.columnHeader6 = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
+        this.columnHeader7 = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
+        this.columnHeader8 = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
+        this.groupBox4 = new System.Windows.Forms.GroupBox();
+        this.label8 = new System.Windows.Forms.Label();
+        this.mpCheckBox2 = new MediaPortal.UserInterface.Controls.MPCheckBox();
+        this.label9 = new System.Windows.Forms.Label();
+        this.mpCheckBox3 = new MediaPortal.UserInterface.Controls.MPCheckBox();
+        this.tabPage2 = new System.Windows.Forms.TabPage();
+        this.treeView1 = new System.Windows.Forms.TreeView();
+        this.tabPage1 = new System.Windows.Forms.TabPage();
+        this.grpIPTV = new System.Windows.Forms.GroupBox();
+        this.label26 = new System.Windows.Forms.Label();
+        this.iptvUpDown = new System.Windows.Forms.NumericUpDown();
+        this.label25 = new System.Windows.Forms.Label();
+        this.linkLabelHybridCard = new System.Windows.Forms.LinkLabel();
+        this.labelHybridCard = new System.Windows.Forms.Label();
+        this.labelCardPriority = new System.Windows.Forms.Label();
+        this.buttonRemove = new System.Windows.Forms.Button();
+        this.mpListView1 = new MediaPortal.UserInterface.Controls.MPListView();
+        this.colEnabled = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
+        this.colPriority = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
+        this.colType = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
+        this.colCAM = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
+        this.colCAMLimit = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
+        this.colId = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
+        this.colName = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
+        this.colInit = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
+        this.colGrabEpg = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
+        this.colDevicePath = ((System.Windows.Forms.ColumnHeader)(new System.Windows.Forms.ColumnHeader()));
+        this.buttonEdit = new System.Windows.Forms.Button();
+        this.buttonUp = new System.Windows.Forms.Button();
+        this.buttonDown = new System.Windows.Forms.Button();
+        this.tabPage3 = new System.Windows.Forms.TabPage();
+        this.label10 = new System.Windows.Forms.Label();
+        this.label5 = new System.Windows.Forms.Label();
+        this.groupBox2 = new System.Windows.Forms.GroupBox();
+        this.mpComboBoxCard = new MediaPortal.UserInterface.Controls.MPComboBox();
+        this.pictureBox1 = new System.Windows.Forms.PictureBox();
+        this.label4 = new System.Windows.Forms.Label();
+        this.label6 = new System.Windows.Forms.Label();
+        this.mpLabel1 = new MediaPortal.UserInterface.Controls.MPLabel();
+        this.label2 = new System.Windows.Forms.Label();
+        this.label1 = new System.Windows.Forms.Label();
+        this.tabControl1 = new System.Windows.Forms.TabControl();
+        this.contextMenuStrip2.SuspendLayout();
+        this.contextMenuStrip1.SuspendLayout();
+        this.tabPage2.SuspendLayout();
+        this.tabPage1.SuspendLayout();
+        this.grpIPTV.SuspendLayout();
+        ((System.ComponentModel.ISupportInitialize)(this.iptvUpDown)).BeginInit();
+        this.tabPage3.SuspendLayout();
+        this.groupBox2.SuspendLayout();
+        ((System.ComponentModel.ISupportInitialize)(this.pictureBox1)).BeginInit();
+        this.tabControl1.SuspendLayout();
+        this.SuspendLayout();
+        // 
+        // contextMenuStrip2
+        // 
+        this.contextMenuStrip2.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
             this.placeInHybridCardToolStripMenuItem});
-      this.contextMenuStrip2.Name = "contextMenuStrip2";
-      this.contextMenuStrip2.Size = new System.Drawing.Size(151, 26);
-      // 
-      // placeInHybridCardToolStripMenuItem
-      // 
-      this.placeInHybridCardToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
+        this.contextMenuStrip2.Name = "contextMenuStrip2";
+        this.contextMenuStrip2.Size = new System.Drawing.Size(153, 26);
+        // 
+        // placeInHybridCardToolStripMenuItem
+        // 
+        this.placeInHybridCardToolStripMenuItem.DropDownItems.AddRange(new System.Windows.Forms.ToolStripItem[] {
             this.newToolStripMenuItem});
-      this.placeInHybridCardToolStripMenuItem.Name = "placeInHybridCardToolStripMenuItem";
-      this.placeInHybridCardToolStripMenuItem.Size = new System.Drawing.Size(150, 22);
-      this.placeInHybridCardToolStripMenuItem.Text = "Place in group";
-      // 
-      // newToolStripMenuItem
-      // 
-      this.newToolStripMenuItem.Name = "newToolStripMenuItem";
-      this.newToolStripMenuItem.Size = new System.Drawing.Size(96, 22);
-      this.newToolStripMenuItem.Text = "new";
-      // 
-      // imageList1
-      // 
-      this.imageList1.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("imageList1.ImageStream")));
-      this.imageList1.TransparentColor = System.Drawing.Color.Transparent;
-      this.imageList1.Images.SetKeyName(0, "card.gif");
-      // 
-      // contextMenuStrip1
-      // 
-      this.contextMenuStrip1.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
+        this.placeInHybridCardToolStripMenuItem.Name = "placeInHybridCardToolStripMenuItem";
+        this.placeInHybridCardToolStripMenuItem.Size = new System.Drawing.Size(152, 22);
+        this.placeInHybridCardToolStripMenuItem.Text = "Place in group";
+        // 
+        // newToolStripMenuItem
+        // 
+        this.newToolStripMenuItem.Name = "newToolStripMenuItem";
+        this.newToolStripMenuItem.Size = new System.Drawing.Size(105, 22);
+        this.newToolStripMenuItem.Text = "new";
+        // 
+        // imageList1
+        // 
+        this.imageList1.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("imageList1.ImageStream")));
+        this.imageList1.TransparentColor = System.Drawing.Color.Transparent;
+        this.imageList1.Images.SetKeyName(0, "card.gif");
+        // 
+        // contextMenuStrip1
+        // 
+        this.contextMenuStrip1.Items.AddRange(new System.Windows.Forms.ToolStripItem[] {
             this.deleteCardToolStripMenuItem,
             this.deleteEntireHybridCardToolStripMenuItem});
-      this.contextMenuStrip1.Name = "contextMenuStrip1";
-      this.contextMenuStrip1.Size = new System.Drawing.Size(204, 48);
-      // 
-      // deleteCardToolStripMenuItem
-      // 
-      this.deleteCardToolStripMenuItem.Name = "deleteCardToolStripMenuItem";
-      this.deleteCardToolStripMenuItem.Size = new System.Drawing.Size(203, 22);
-      this.deleteCardToolStripMenuItem.Text = "Delete card";
-      this.deleteCardToolStripMenuItem.Click += new System.EventHandler(this.deleteCardToolStripMenuItem_Click);
-      // 
-      // deleteEntireHybridCardToolStripMenuItem
-      // 
-      this.deleteEntireHybridCardToolStripMenuItem.Name = "deleteEntireHybridCardToolStripMenuItem";
-      this.deleteEntireHybridCardToolStripMenuItem.Size = new System.Drawing.Size(203, 22);
-      this.deleteEntireHybridCardToolStripMenuItem.Text = "Delete entire hybrid card";
-      this.deleteEntireHybridCardToolStripMenuItem.Click += new System.EventHandler(this.deleteEntireHybridCardToolStripMenuItem_Click);
-      // 
-      // label3
-      // 
-      this.label3.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.label3.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-      this.label3.Location = new System.Drawing.Point(11, 117);
-      this.label3.Name = "label3";
-      this.label3.Size = new System.Drawing.Size(434, 18);
-      this.label3.TabIndex = 22;
-      this.label3.Text = "Note: This enables you to adjust CAM parameters like PIN requests if required.";
-      // 
-      // mpCheckBox1
-      // 
-      this.mpCheckBox1.AutoSize = true;
-      this.mpCheckBox1.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
-      this.mpCheckBox1.Location = new System.Drawing.Point(14, 29);
-      this.mpCheckBox1.Name = "mpCheckBox1";
-      this.mpCheckBox1.Size = new System.Drawing.Size(149, 17);
-      this.mpCheckBox1.TabIndex = 21;
-      this.mpCheckBox1.Text = "Enable WinTV-CI tray icon";
-      this.mpCheckBox1.UseVisualStyleBackColor = true;
-      // 
-      // columnHeader5
-      // 
-      this.columnHeader5.Text = "Enabled";
-      this.columnHeader5.Width = 110;
-      // 
-      // columnHeader6
-      // 
-      this.columnHeader6.Text = "Priority";
-      // 
-      // columnHeader7
-      // 
-      this.columnHeader7.Text = "Type";
-      // 
-      // columnHeader8
-      // 
-      this.columnHeader8.Text = "Name";
-      this.columnHeader8.Width = 200;
-      // 
-      // groupBox4
-      // 
-      this.groupBox4.Location = new System.Drawing.Point(0, 0);
-      this.groupBox4.Name = "groupBox4";
-      this.groupBox4.Size = new System.Drawing.Size(200, 100);
-      this.groupBox4.TabIndex = 0;
-      this.groupBox4.TabStop = false;
-      // 
-      // label8
-      // 
-      this.label8.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.label8.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-      this.label8.Location = new System.Drawing.Point(11, 117);
-      this.label8.Name = "label8";
-      this.label8.Size = new System.Drawing.Size(434, 18);
-      this.label8.TabIndex = 22;
-      this.label8.Text = "Note: This enables you to adjust CAM parameters like PIN requests if required.";
-      // 
-      // mpCheckBox2
-      // 
-      this.mpCheckBox2.AutoSize = true;
-      this.mpCheckBox2.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
-      this.mpCheckBox2.Location = new System.Drawing.Point(14, 29);
-      this.mpCheckBox2.Name = "mpCheckBox2";
-      this.mpCheckBox2.Size = new System.Drawing.Size(149, 17);
-      this.mpCheckBox2.TabIndex = 21;
-      this.mpCheckBox2.Text = "Enable WinTV-CI tray icon";
-      this.mpCheckBox2.UseVisualStyleBackColor = true;
-      // 
-      // label9
-      // 
-      this.label9.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.label9.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-      this.label9.Location = new System.Drawing.Point(11, 160);
-      this.label9.Name = "label9";
-      this.label9.Size = new System.Drawing.Size(434, 18);
-      this.label9.TabIndex = 22;
-      this.label9.Text = "Note: This enables you to adjust CAM parameters like PIN requests if required.";
-      // 
-      // mpCheckBox3
-      // 
-      this.mpCheckBox3.AutoSize = true;
-      this.mpCheckBox3.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
-      this.mpCheckBox3.Location = new System.Drawing.Point(14, 29);
-      this.mpCheckBox3.Name = "mpCheckBox3";
-      this.mpCheckBox3.Size = new System.Drawing.Size(149, 17);
-      this.mpCheckBox3.TabIndex = 21;
-      this.mpCheckBox3.Text = "Enable WinTV-CI tray icon";
-      this.mpCheckBox3.UseVisualStyleBackColor = true;
-      // 
-      // tabPage2
-      // 
-      this.tabPage2.Controls.Add(this.treeView1);
-      this.tabPage2.Location = new System.Drawing.Point(4, 22);
-      this.tabPage2.Name = "tabPage2";
-      this.tabPage2.Padding = new System.Windows.Forms.Padding(3);
-      this.tabPage2.Size = new System.Drawing.Size(460, 384);
-      this.tabPage2.TabIndex = 1;
-      this.tabPage2.Text = "Hybrid cards";
-      this.tabPage2.UseVisualStyleBackColor = true;
-      // 
-      // treeView1
-      // 
-      this.treeView1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.treeView1.ContextMenuStrip = this.contextMenuStrip1;
-      this.treeView1.ImageIndex = 0;
-      this.treeView1.ImageList = this.imageList1;
-      this.treeView1.Location = new System.Drawing.Point(9, 11);
-      this.treeView1.Name = "treeView1";
-      this.treeView1.SelectedImageIndex = 0;
-      this.treeView1.Size = new System.Drawing.Size(437, 328);
-      this.treeView1.TabIndex = 0;
-      // 
-      // tabPage1
-      // 
-      this.tabPage1.Controls.Add(this.grpIPTV);
-      this.tabPage1.Controls.Add(this.linkLabelHybridCard);
-      this.tabPage1.Controls.Add(this.labelHybridCard);
-      this.tabPage1.Controls.Add(this.labelCardPriority);
-      this.tabPage1.Controls.Add(this.buttonRemove);
-      this.tabPage1.Controls.Add(this.mpListView1);
-      this.tabPage1.Controls.Add(this.buttonEdit);
-      this.tabPage1.Controls.Add(this.buttonUp);
-      this.tabPage1.Controls.Add(this.buttonDown);
-      this.tabPage1.Location = new System.Drawing.Point(4, 22);
-      this.tabPage1.Name = "tabPage1";
-      this.tabPage1.Padding = new System.Windows.Forms.Padding(3);
-      this.tabPage1.Size = new System.Drawing.Size(460, 384);
-      this.tabPage1.TabIndex = 0;
-      this.tabPage1.Text = "Cards";
-      this.tabPage1.UseVisualStyleBackColor = true;
-      // 
-      // grpIPTV
-      // 
-      this.grpIPTV.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.grpIPTV.Controls.Add(this.label26);
-      this.grpIPTV.Controls.Add(this.iptvUpDown);
-      this.grpIPTV.Controls.Add(this.label25);
-      this.grpIPTV.Location = new System.Drawing.Point(6, 6);
-      this.grpIPTV.Name = "grpIPTV";
-      this.grpIPTV.Size = new System.Drawing.Size(437, 73);
-      this.grpIPTV.TabIndex = 83;
-      this.grpIPTV.TabStop = false;
-      this.grpIPTV.Text = "DVB-IP (IPTV) Cards";
-      // 
-      // label26
-      // 
-      this.label26.Location = new System.Drawing.Point(6, 16);
-      this.label26.Name = "label26";
-      this.label26.Size = new System.Drawing.Size(425, 28);
-      this.label26.TabIndex = 2;
-      this.label26.Text = "If you have enough bandwidth, you can select number of independent IPTV cards,\r\nt" +
-          "hat will be created. You can then watch different channels on different computer" +
-          "s";
-      // 
-      // iptvUpDown
-      // 
-      this.iptvUpDown.Location = new System.Drawing.Point(124, 47);
-      this.iptvUpDown.Name = "iptvUpDown";
-      this.iptvUpDown.Size = new System.Drawing.Size(47, 20);
-      this.iptvUpDown.TabIndex = 1;
-      this.iptvUpDown.Value = new decimal(new int[] {
+        this.contextMenuStrip1.Name = "contextMenuStrip1";
+        this.contextMenuStrip1.Size = new System.Drawing.Size(205, 48);
+        // 
+        // deleteCardToolStripMenuItem
+        // 
+        this.deleteCardToolStripMenuItem.Name = "deleteCardToolStripMenuItem";
+        this.deleteCardToolStripMenuItem.Size = new System.Drawing.Size(204, 22);
+        this.deleteCardToolStripMenuItem.Text = "Delete card";
+        this.deleteCardToolStripMenuItem.Click += new System.EventHandler(this.deleteCardToolStripMenuItem_Click);
+        // 
+        // deleteEntireHybridCardToolStripMenuItem
+        // 
+        this.deleteEntireHybridCardToolStripMenuItem.Name = "deleteEntireHybridCardToolStripMenuItem";
+        this.deleteEntireHybridCardToolStripMenuItem.Size = new System.Drawing.Size(204, 22);
+        this.deleteEntireHybridCardToolStripMenuItem.Text = "Delete entire hybrid card";
+        this.deleteEntireHybridCardToolStripMenuItem.Click += new System.EventHandler(this.deleteEntireHybridCardToolStripMenuItem_Click);
+        // 
+        // label3
+        // 
+        this.label3.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+        this.label3.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+        this.label3.Location = new System.Drawing.Point(11, 117);
+        this.label3.Name = "label3";
+        this.label3.Size = new System.Drawing.Size(434, 18);
+        this.label3.TabIndex = 22;
+        this.label3.Text = "Note: This enables you to adjust CAM parameters like PIN requests if required.";
+        // 
+        // mpCheckBox1
+        // 
+        this.mpCheckBox1.AutoSize = true;
+        this.mpCheckBox1.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
+        this.mpCheckBox1.Location = new System.Drawing.Point(14, 29);
+        this.mpCheckBox1.Name = "mpCheckBox1";
+        this.mpCheckBox1.Size = new System.Drawing.Size(149, 17);
+        this.mpCheckBox1.TabIndex = 21;
+        this.mpCheckBox1.Text = "Enable WinTV-CI tray icon";
+        this.mpCheckBox1.UseVisualStyleBackColor = true;
+        // 
+        // columnHeader5
+        // 
+        this.columnHeader5.Text = "Enabled";
+        this.columnHeader5.Width = 110;
+        // 
+        // columnHeader6
+        // 
+        this.columnHeader6.Text = "Priority";
+        // 
+        // columnHeader7
+        // 
+        this.columnHeader7.Text = "Type";
+        // 
+        // columnHeader8
+        // 
+        this.columnHeader8.Text = "Name";
+        this.columnHeader8.Width = 200;
+        // 
+        // groupBox4
+        // 
+        this.groupBox4.Location = new System.Drawing.Point(0, 0);
+        this.groupBox4.Name = "groupBox4";
+        this.groupBox4.Size = new System.Drawing.Size(200, 100);
+        this.groupBox4.TabIndex = 0;
+        this.groupBox4.TabStop = false;
+        // 
+        // label8
+        // 
+        this.label8.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+        this.label8.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+        this.label8.Location = new System.Drawing.Point(11, 117);
+        this.label8.Name = "label8";
+        this.label8.Size = new System.Drawing.Size(434, 18);
+        this.label8.TabIndex = 22;
+        this.label8.Text = "Note: This enables you to adjust CAM parameters like PIN requests if required.";
+        // 
+        // mpCheckBox2
+        // 
+        this.mpCheckBox2.AutoSize = true;
+        this.mpCheckBox2.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
+        this.mpCheckBox2.Location = new System.Drawing.Point(14, 29);
+        this.mpCheckBox2.Name = "mpCheckBox2";
+        this.mpCheckBox2.Size = new System.Drawing.Size(149, 17);
+        this.mpCheckBox2.TabIndex = 21;
+        this.mpCheckBox2.Text = "Enable WinTV-CI tray icon";
+        this.mpCheckBox2.UseVisualStyleBackColor = true;
+        // 
+        // label9
+        // 
+        this.label9.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+        this.label9.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+        this.label9.Location = new System.Drawing.Point(11, 160);
+        this.label9.Name = "label9";
+        this.label9.Size = new System.Drawing.Size(434, 18);
+        this.label9.TabIndex = 22;
+        this.label9.Text = "Note: This enables you to adjust CAM parameters like PIN requests if required.";
+        // 
+        // mpCheckBox3
+        // 
+        this.mpCheckBox3.AutoSize = true;
+        this.mpCheckBox3.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
+        this.mpCheckBox3.Location = new System.Drawing.Point(14, 29);
+        this.mpCheckBox3.Name = "mpCheckBox3";
+        this.mpCheckBox3.Size = new System.Drawing.Size(149, 17);
+        this.mpCheckBox3.TabIndex = 21;
+        this.mpCheckBox3.Text = "Enable WinTV-CI tray icon";
+        this.mpCheckBox3.UseVisualStyleBackColor = true;
+        // 
+        // tabPage2
+        // 
+        this.tabPage2.Controls.Add(this.treeView1);
+        this.tabPage2.Location = new System.Drawing.Point(4, 22);
+        this.tabPage2.Name = "tabPage2";
+        this.tabPage2.Padding = new System.Windows.Forms.Padding(3);
+        this.tabPage2.Size = new System.Drawing.Size(460, 384);
+        this.tabPage2.TabIndex = 1;
+        this.tabPage2.Text = "Hybrid cards";
+        this.tabPage2.UseVisualStyleBackColor = true;
+        // 
+        // treeView1
+        // 
+        this.treeView1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                    | System.Windows.Forms.AnchorStyles.Left)
+                    | System.Windows.Forms.AnchorStyles.Right)));
+        this.treeView1.ContextMenuStrip = this.contextMenuStrip1;
+        this.treeView1.ImageIndex = 0;
+        this.treeView1.ImageList = this.imageList1;
+        this.treeView1.Location = new System.Drawing.Point(9, 11);
+        this.treeView1.Name = "treeView1";
+        this.treeView1.SelectedImageIndex = 0;
+        this.treeView1.Size = new System.Drawing.Size(437, 328);
+        this.treeView1.TabIndex = 0;
+        // 
+        // tabPage1
+        // 
+        this.tabPage1.Controls.Add(this.grpIPTV);
+        this.tabPage1.Controls.Add(this.linkLabelHybridCard);
+        this.tabPage1.Controls.Add(this.labelHybridCard);
+        this.tabPage1.Controls.Add(this.labelCardPriority);
+        this.tabPage1.Controls.Add(this.buttonRemove);
+        this.tabPage1.Controls.Add(this.mpListView1);
+        this.tabPage1.Controls.Add(this.buttonEdit);
+        this.tabPage1.Controls.Add(this.buttonUp);
+        this.tabPage1.Controls.Add(this.buttonDown);
+        this.tabPage1.Location = new System.Drawing.Point(4, 22);
+        this.tabPage1.Name = "tabPage1";
+        this.tabPage1.Padding = new System.Windows.Forms.Padding(3);
+        this.tabPage1.Size = new System.Drawing.Size(460, 384);
+        this.tabPage1.TabIndex = 0;
+        this.tabPage1.Text = "Cards";
+        this.tabPage1.UseVisualStyleBackColor = true;
+        // 
+        // grpIPTV
+        // 
+        this.grpIPTV.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                    | System.Windows.Forms.AnchorStyles.Right)));
+        this.grpIPTV.Controls.Add(this.label26);
+        this.grpIPTV.Controls.Add(this.iptvUpDown);
+        this.grpIPTV.Controls.Add(this.label25);
+        this.grpIPTV.Location = new System.Drawing.Point(6, 6);
+        this.grpIPTV.Name = "grpIPTV";
+        this.grpIPTV.Size = new System.Drawing.Size(437, 73);
+        this.grpIPTV.TabIndex = 83;
+        this.grpIPTV.TabStop = false;
+        this.grpIPTV.Text = "DVB-IP (IPTV) Cards";
+        // 
+        // label26
+        // 
+        this.label26.Location = new System.Drawing.Point(6, 16);
+        this.label26.Name = "label26";
+        this.label26.Size = new System.Drawing.Size(425, 28);
+        this.label26.TabIndex = 2;
+        this.label26.Text = "If you have enough bandwidth you can enable multiple IPTV cards so that you can w" +
+            "atch/record multiple channels simultaneously";
+        // 
+        // iptvUpDown
+        // 
+        this.iptvUpDown.Location = new System.Drawing.Point(124, 47);
+        this.iptvUpDown.Name = "iptvUpDown";
+        this.iptvUpDown.Size = new System.Drawing.Size(47, 20);
+        this.iptvUpDown.TabIndex = 1;
+        this.iptvUpDown.Value = new decimal(new int[] {
             1,
             0,
             0,
             0});
-      this.iptvUpDown.ValueChanged += new System.EventHandler(this.iptvUpDown_ValueChanged);
-      // 
-      // label25
-      // 
-      this.label25.AutoSize = true;
-      this.label25.Location = new System.Drawing.Point(6, 49);
-      this.label25.Name = "label25";
-      this.label25.Size = new System.Drawing.Size(112, 13);
-      this.label25.TabIndex = 0;
-      this.label25.Text = "Number of IPTV cards";
-      // 
-      // linkLabelHybridCard
-      // 
-      this.linkLabelHybridCard.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.linkLabelHybridCard.AutoSize = true;
-      this.linkLabelHybridCard.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold);
-      this.linkLabelHybridCard.Location = new System.Drawing.Point(254, 314);
-      this.linkLabelHybridCard.Name = "linkLabelHybridCard";
-      this.linkLabelHybridCard.Size = new System.Drawing.Size(65, 13);
-      this.linkLabelHybridCard.TabIndex = 6;
-      this.linkLabelHybridCard.TabStop = true;
-      this.linkLabelHybridCard.Text = "in the wiki";
-      this.linkLabelHybridCard.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkLabelHybridCard_LinkClicked);
-      // 
-      // labelHybridCard
-      // 
-      this.labelHybridCard.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.labelHybridCard.AutoSize = true;
-      this.labelHybridCard.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold);
-      this.labelHybridCard.Location = new System.Drawing.Point(3, 314);
-      this.labelHybridCard.Name = "labelHybridCard";
-      this.labelHybridCard.Size = new System.Drawing.Size(252, 13);
-      this.labelHybridCard.TabIndex = 5;
-      this.labelHybridCard.Text = "Note2: Configure hybrid cards as described";
-      // 
-      // labelCardPriority
-      // 
-      this.labelCardPriority.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.labelCardPriority.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-      this.labelCardPriority.Location = new System.Drawing.Point(3, 300);
-      this.labelCardPriority.Name = "labelCardPriority";
-      this.labelCardPriority.Size = new System.Drawing.Size(256, 13);
-      this.labelCardPriority.TabIndex = 4;
-      this.labelCardPriority.Text = "Note1: Priority 1 means lowest priority";
-      // 
-      // buttonRemove
-      // 
-      this.buttonRemove.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
-      this.buttonRemove.Enabled = false;
-      this.buttonRemove.Location = new System.Drawing.Point(371, 336);
-      this.buttonRemove.Name = "buttonRemove";
-      this.buttonRemove.Size = new System.Drawing.Size(75, 23);
-      this.buttonRemove.TabIndex = 3;
-      this.buttonRemove.Text = "Remove";
-      this.buttonRemove.UseVisualStyleBackColor = true;
-      this.buttonRemove.Click += new System.EventHandler(this.buttonRemove_Click);
-      // 
-      // mpListView1
-      // 
-      this.mpListView1.AllowRowReorder = false;
-      this.mpListView1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.mpListView1.CheckBoxes = true;
-      this.mpListView1.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
+        this.iptvUpDown.ValueChanged += new System.EventHandler(this.iptvUpDown_ValueChanged);
+        // 
+        // label25
+        // 
+        this.label25.AutoSize = true;
+        this.label25.Location = new System.Drawing.Point(6, 49);
+        this.label25.Name = "label25";
+        this.label25.Size = new System.Drawing.Size(112, 13);
+        this.label25.TabIndex = 0;
+        this.label25.Text = "Number of IPTV cards";
+        // 
+        // linkLabelHybridCard
+        // 
+        this.linkLabelHybridCard.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+        this.linkLabelHybridCard.AutoSize = true;
+        this.linkLabelHybridCard.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold);
+        this.linkLabelHybridCard.Location = new System.Drawing.Point(254, 314);
+        this.linkLabelHybridCard.Name = "linkLabelHybridCard";
+        this.linkLabelHybridCard.Size = new System.Drawing.Size(65, 13);
+        this.linkLabelHybridCard.TabIndex = 6;
+        this.linkLabelHybridCard.TabStop = true;
+        this.linkLabelHybridCard.Text = "in the wiki";
+        this.linkLabelHybridCard.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkLabelHybridCard_LinkClicked);
+        // 
+        // labelHybridCard
+        // 
+        this.labelHybridCard.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+        this.labelHybridCard.AutoSize = true;
+        this.labelHybridCard.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold);
+        this.labelHybridCard.Location = new System.Drawing.Point(3, 314);
+        this.labelHybridCard.Name = "labelHybridCard";
+        this.labelHybridCard.Size = new System.Drawing.Size(252, 13);
+        this.labelHybridCard.TabIndex = 5;
+        this.labelHybridCard.Text = "Note2: Configure hybrid cards as described";
+        // 
+        // labelCardPriority
+        // 
+        this.labelCardPriority.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+        this.labelCardPriority.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+        this.labelCardPriority.Location = new System.Drawing.Point(3, 300);
+        this.labelCardPriority.Name = "labelCardPriority";
+        this.labelCardPriority.Size = new System.Drawing.Size(256, 13);
+        this.labelCardPriority.TabIndex = 4;
+        this.labelCardPriority.Text = "Note1: Priority 1 means lowest priority";
+        // 
+        // buttonRemove
+        // 
+        this.buttonRemove.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+        this.buttonRemove.Enabled = false;
+        this.buttonRemove.Location = new System.Drawing.Point(371, 336);
+        this.buttonRemove.Name = "buttonRemove";
+        this.buttonRemove.Size = new System.Drawing.Size(75, 23);
+        this.buttonRemove.TabIndex = 3;
+        this.buttonRemove.Text = "Remove";
+        this.buttonRemove.UseVisualStyleBackColor = true;
+        this.buttonRemove.Click += new System.EventHandler(this.buttonRemove_Click);
+        // 
+        // mpListView1
+        // 
+        this.mpListView1.AllowDrop = true;
+        this.mpListView1.AllowRowReorder = false;
+        this.mpListView1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                    | System.Windows.Forms.AnchorStyles.Left)
+                    | System.Windows.Forms.AnchorStyles.Right)));
+        this.mpListView1.CheckBoxes = true;
+        this.mpListView1.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
             this.colEnabled,
             this.colPriority,
             this.colType,
